### Method

# Goa ObjectSkeleton set_files

since: 3.8.0

#### Declaration [src]

    void
    goa_object_skeleton_set_files (
      GoaObjectSkeleton* object,
      GoaFiles* interface_
    )

#### Description [src]

Sets the `GoaFiles` instance for the D-Bus interface org.gnome.OnlineAccounts.Files on `object`.

Available since: 3.8.0

#### Parameters

`interface_`

  Type: `GoaFiles`

  A `GoaFiles` or `NULL` to clear the interface.

  The argument can be `NULL`.
  The data is owned by the caller of the method.